
:root{
--primary-app: #e08e27;
--primary-app-op5: rgba(224, 142, 39, 0.5);
--secondary-app: #f9b500;
--secondary-app-op5: rgba(249, 181, 0, 0.5);
--accent-app: #fdb400;
--accent-secondary-app: #fdce10;
--base-app: #ffffff; 
--black-app: #000000;
--gray-app: #636363;
--ligth-gray-app: #F5F5F5;
--primary-app-container: #607d8b;
/*--primary-app-container: #E4DFDF;*/
--secondary-app-container: #C7BBA5;

--font-family-app: 'Montserrat', sans-serif;

--status-instock-bg: #c8e6c9;
--success-app: #018786;
--success-app: #018786;
--success-app: #018786;
--info-app: #17a2b8;
--warning-app: #ffc107;
--dange-appr: #dc3545;
--light-app: #f8f9fa;
--dark-app: #343a40;
--black-app: #000000;


--btn-info: #3f76a7;
--btn-success: #296235;
--btn-danger: #91243a;
--btn-warning: #E8BA2E;
--btn-secondary: #525252;
--btn-login: #203524;

--bg-filter: #c7bba5;
}

body {
    height: 100vh !important; 
    display: flex;
    align-items: center !important; 
    justify-content: center !important; 
    background-image: url(../../resources/img/back_pc.jpg);
    background-position: center !important; 
    background-repeat: no-repeat !important; 
    background-size: cover !important; 
    line-height: initial !important;
}

@media only screen and (max-width: 450px){   
    body {
        background-image: url(../../resources/img/back_movil.jpg);
    }
}

body.swal2-height-auto {
    height: 100vh !important; 
    min-height: 100vh !important;
}

body::before{
   background: rgba(0,0,0,.18);
}

.titulo {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.titulo-img{
    width: 70px;
    height: auto;
    box-shadow:
        0 8px 32px rgba(0,0,0,0.25),
        inset 0 1px 1px rgba(255,255,255,0.25);
    
}

.card-login{
    min-width:320px;
    max-width:400px;
    padding:25px;
    border-radius:25px;

    /* Fondo blanco transparente 
    background: rgba(255,255,255,0.20);*/
    background: rgba(255,255,255,.15);

    /* Efecto vidrio
    backdrop-filter: blur(12px);*/
    backdrop-filter: blur(16px);
    -webkit-backdrop-filter: blur(12px);

    /* Borde suave */
    border:1px solid rgba(255,255,255,0.30);

    /* Sombras */
    box-shadow:
        0 8px 32px rgba(0,0,0,0.25),
        inset 0 1px 1px rgba(255,255,255,0.25);

    color:var(--base-app);
}

.card-login h2{
    font-size:35px;
    margin-bottom:35px;
    text-shadow: 2px 2px 5px rgba(0,0,0,0.5);
}

.card-login p{
    line-height:1.6;
    font-size:15px;
    opacity:0.9;
}

.card-login .button-login{
    margin-top:20px;
    padding:12px 20px;
    border:none;
    border-radius:15px;
    background:white;
    color:#333;
    font-weight:bold;
    cursor:pointer;
    /*transition:0.3s;*/
    transition: all 0.3s ease;
    
    display:inline-flex;
    align-items:center;
    justify-content:center;
    gap:10px;

    text-decoration:none;

}

.card-login .button-login:hover{
    /*transform:translateY(-2px);*/
    transform: translateY(-5px) scale(1.03);
    box-shadow:0 5px 15px rgba(0,0,0,0.2);
    color:#333 !important;
    text-decoration: none !important;
}

.login__field {
	padding: 10px 0px;	
	position: relative;	
        width: 100%;
}

.login__icon {
	position: absolute;
        left: 10px;
	top: 25px;
	color: var(--primary-app);
        z-index: 9999;
}

.login__input {
    border: none !important;
    border: 1px solid var(--base-app) !important;
    /*border-bottom: 1px solid var(--ligth-app) !important;
    background: none  !important;*/
    background: rgba(255,255,255,0.8) !important;
    padding: 10px  !important;
    padding-left: 35px  !important;
    font-weight: 300  !important;
    width: 100%  !important;
    transition: .2s  !important;
    border-radius:12px !important;
    line-height: inherit;
}

.login__input:active,
.login__input:focus,
.login__input:hover {
	outline: none;
	border-bottom-color: var(--ligth-gray-app);
}

.ui-password{
    width: 100%;
}


.login__submit {
	background: #fff;
	font-size: 14px;
	/*margin-top: 30px;*/
	margin-top: 10px;
	padding: 16px 20px;
	border-radius: 26px;
	border: 1px solid #D4D3E8;
	text-transform: uppercase;
	font-weight: 700;
	/*display: flex;*/
	align-items: center;
	width:130px;
	color: #4C489D;
	box-shadow: 0px 2px 2px var(--primary-app);
	cursor: pointer;
	transition: .2s;
        text-decoration: none !important;
}

.login__submit:active,
.login__submit:focus,
.login__submit:hover {
	border-color: var(--primary-app);
	outline: none;
}

.button__icon {
	font-size: 24px;
	margin-left: auto;
	color: var(--primary-app);
}

body .ui-inputfield.ui-state-focus {
    box-shadow: 0 0 0 .2rem var(--ligth-gray-app) !important;
}

.logo_custom{
    width: 80%;
    padding-bottom: 300px;
}

.developer{
    font-size:20px;
    color: var(--black-app);
    font-weight: 500;
}

.newAccount{
    position: absolute;
    right: 20px;
    top: 20px;
    width: 200px;
    background: var(--success-app);
    padding:15px;
    border-radius:25px;
    backdrop-filter: blur(16px);
    -webkit-backdrop-filter: blur(12px);
    border:1px solid rgba(255,255,255,0.30);
    box-shadow:
        0 8px 32px rgba(0,0,0,0.25),
        inset 0 1px 1px rgba(255,255,255,0.25);
    color: var(--base-app) ;   
    font-size: 1em;
    font-weight: 400;
    transition: all 0.3s ease;
    
    display:inline-flex;
    align-items:center;
    justify-content:center;
    gap:10px;
    cursor: pointer;
}

.newAccount:hover{
    /*transform:translateY(-2px);*/
    transform: translateY(-5px) scale(1.03);
    box-shadow:0 5px 15px rgba(0,0,0,0.2);
    color: var(--base-app) ;   
    text-decoration: none !important;
}

@media only screen and (max-width: 576px){ 
    .newAccount{
        left: calc(50% -  100px);
        bottom: 10px;
        top: initial;
        right: initial;
        z-index: 1000;
    }
}